package tutorialJava.capitulo5.ej02_independenceDay;

import tutorialJava.Utils;

public class Malvado {

	private int puntosVida;
	private String nombre;
	private boolean vivo;
	
	public Malvado() {
		super();
	}

	public Malvado(String nombre) {
		this.puntosVida = Utils.obtenerNumeroAzar(50, 100);
		this.nombre = nombre;
		this.vivo = true;
	}

	public int getPuntosVida() {
		return puntosVida;
	}

	public void setPuntosVida(int puntosVida) {
		this.puntosVida = puntosVida;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public boolean isVivo() {
		return vivo;
	}

	public void setVivo(boolean vivo) {
		this.vivo = vivo;
	}

	public String toString() {
		return "Malvador [puntosVida=" + puntosVida + ", nombre=" + nombre + ", vivo=" + vivo + "]";
	}
	
	
	
	
	
}
